source("ising.r")

ising_setup (n_rows=4, n_cols=5)

seed <- 7
n_chains <- 200
n_iters <- 5000

cat("\nStandard MCMC\n")
set.seed(seed)
res.s2 <- vec_ising (beta=0.4, "s", n_chains=n_chains, n_iters=n_iters)
energy_plot (res.s2)
title("Energy",cex.main=1.5)
mtext("Standard MCMC",side=2,padj=-3)
magnetization_plot (res.s2)
title("Magnetization",cex.main=1.5)
