source("ising.r")

ising_setup (n_rows=4, n_cols=5)
seed <- 1

n_chains <- 6
n_iters <- 250

postscript("ising1a.ps",pointsize=10,horizontal=FALSE,width=6,height=8.5)
par (mfrow=c(3,2), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

cat("\nStandard MCMC\n")
set.seed(seed)
res.s <- vec_ising (beta=0.4, "s", n_chains=n_chains, n_iters=n_iters)
energy_plot (res.s)
title("Energy",cex.main=1.5)
mtext("Standard MCMC",side=2,padj=-3)
magnetization_plot (res.s)
title("Magnetization",cex.main=1.5)
 
cat("\nCoupled MCMC\n")
set.seed(seed)
res.c <- vec_ising (beta=0.4, "c", n_chains=n_chains, n_iters=n_iters)
energy_plot (res.c)
mtext("Coupled MCMC",side=2,padj=-3)
magnetization_plot (res.c)

cat("\nPermutation MCMC\n")
set.seed(seed)
res.p <- vec_ising (beta=0.4, "p", n_chains=n_chains, n_iters=n_iters)
energy_plot (res.p)
mtext("Permuation MCMC",side=2,padj=-3)
magnetization_plot (res.p)

dev.off()

postscript("ising1b.ps",pointsize=10,horizontal=FALSE,width=6,height=8.5)
par (mfrow=c(3,2), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

seed <- 1
n_chains <- 100
n_iters <- 1000

cat("\nStandard MCMC\n")
set.seed(seed)
res.s2 <- vec_ising (beta=0.4, "s", n_chains=n_chains, n_iters=n_iters)
energy_plot (res.s2)
title("Energy",cex.main=1.5)
mtext("Standard MCMC",side=2,padj=-3)
magnetization_plot (res.s2)
title("Magnetization",cex.main=1.5)

cat("\nCoupled MCMC\n")
set.seed(seed)
res.c2 <- vec_ising (beta=0.4, "c", n_chains=n_chains, n_iters=n_iters)
energy_plot (res.c2)
mtext("Coupled MCMC",side=2,padj=-3)
magnetization_plot (res.c2)

cat("\nPermutation MCMC\n")
set.seed(seed)
res.p2 <- vec_ising (beta=0.4, "p", n_chains=n_chains, n_iters=n_iters)
energy_plot (res.p2)
mtext("Permutation MCMC",side=2,padj=-3)
magnetization_plot (res.p2)

dev.off()
