source("ising.r")

ising_setup (n_rows=4, n_cols=5)

seed <- 1
n_chains <- 100
n_iters <- 1000

postscript("ising2a.ps",pointsize=10,horizontal=FALSE,width=6,height=8.5)
par (mfrow=c(3,2), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

cat("\nRandom stream\n")
set.seed(seed)
res.1 <- vec_ising (beta=0.4, "p", n_chains=n_chains, n_iters=n_iters)
energy_plot (res.1)
mtext("Random stream",side=2,padj=-3)
title("Energy")
magnetization_plot (res.1)
title("Magnetization")

s <- c(0.2,0.6)
cat("\nRepeating",s,"\n")
set.seed(seed)
res.2 <- vec_ising (beta=0.4, "p", n_chains=n_chains, n_iters=n_iters, 
                    s=matrix(s,n_iters,n_spins))
energy_plot (res.2)
mtext("Repeating 0.2, 0.6",side=2,padj=-3)
magnetization_plot (res.2)

s <- 0.3
cat("\nRepeating",s,"\n")
set.seed(seed)
res.3 <- vec_ising (beta=0.4, "p", n_chains=n_chains, n_iters=n_iters, 
                    s=matrix(s,n_iters,n_spins))
energy_plot (res.3)
mtext("Repeating 0.3",side=2,padj=-3)
magnetization_plot (res.3)

dev.off()

seed <- 1
n_chains <- 100
n_iters <- 1000

postscript("ising2b.ps",pointsize=10,horizontal=FALSE,width=6,height=8.5)
par (mfrow=c(3,2), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

s <- c(0.213,0.631)
cat("\nRepeating",s,"\n")
set.seed(seed)
res.4 <- vec_ising (beta=0.4, "p", n_chains=n_chains, n_iters=n_iters, 
                    s=matrix(s,n_iters,n_spins))
energy_plot (res.4)
mtext("Repeating 0.213, 0.631",side=2,padj=-3)
magnetization_plot (res.4)

s <- 0.292
cat("\nRepeating",s,"\n")
set.seed(seed)
res.5 <- vec_ising (beta=0.4, "p", n_chains=n_chains, n_iters=n_iters, 
                    s=matrix(s,n_iters,n_spins))
energy_plot (res.5)
mtext("Repeating 0.292",side=2,padj=-3)
magnetization_plot (res.5)

s <- 0.237
cat("\nRepeating",s,"\n")
set.seed(seed)
res.6 <- vec_ising (beta=0.4, "p", n_chains=n_chains, n_iters=n_iters, 
                    s=matrix(s,n_iters,n_spins))
energy_plot (res.6)
mtext("Repeating 0.237",side=2,padj=-3)
magnetization_plot (res.6)

dev.off()
