source("ising.r")

set.seed(6)

ising_setup(6,7)

n_chains <- 7
n_iters <- 12

states <- matrix (sample (c(-1,1), n_chains*n_spins, replace=TRUE), n_spins, n_chains)

u <- runif(n_chains)
yf <- runif(n_chains)

s <- matrix(runif(n_iters*n_spins),n_iters,n_spins)
#s <- matrix(0.317314589,n_iters,n_spins)

rf <- vec_ising (0.4, "p", n_chains, n_iters, states, u, yf, s, rev=FALSE)

rb <- vec_ising (0.4, "p", n_chains, n_iters, 
                  attr(rf,"end_states"), attr(rf,"end_u"), attr(rf,"end_yf"), s, rev=TRUE)

cat ("Checks:", max(abs(states-attr(rb,"end_states"))), 
                max(abs(u-attr(rb,"end_u"))),
                max(abs(yf-attr(rb,"end_yf"))),"\n")

r5f <- cbind (states[,5], rf[,5,])
r5b <- cbind (rb[,5,n_iters:1], attr(rf,"end_states")[,5])

w <- 6

umatwf <- c(u[w], t(attr(rf,"umat")[,,w]))
umatwb <- c(t(attr(rb,"umat")[n_iters:1,,w]), attr(rf,"end_u")[w])

yfmatwf <- c(yf[w], t(attr(rf,"yfmat")[,,w]))
yfmatwb <- c(t(attr(rb,"yfmat")[n_iters:1,,w]), attr(rf,"end_yf")[w])

tmatwf <- c(0, t(attr(rf,"tmat")[,,w]))
tmatwb <- c(t(attr(rb,"tmat")[n_iters:1,,w]), 0)
