source("istest.r")

n_points <- 500

postscript("istest0.ps",pointsize=10,horizontal=FALSE,width=7.1,height=2.6)
par (mfrow=c(1,4), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

set.seed(11)
x1 <- rnorm(n_points,0,1)
x2 <- rnorm(n_points,x1^2-1,1)

n1a <- rnorm(n_points,1,0.3)
n2a <- rnorm(n_points,0,0.3)
plot(rbind(x1,n1a),rbind(x2,n2a),pch=".",col=rep(c("black","red"),n_points),
     lab=c(3,5,7), xlim=c(-3,4),ylim=c(-3.5,6.5),xlab="",ylab="")
title("mean 1, 0 & std dev 0.3, 0.3")

n1b <- rnorm(n_points,1,1)
n2b <- rnorm(n_points,0,1)
plot(rbind(x1,n1b),rbind(x2,n2b),pch=".",col=rep(c("black","red"),n_points),
     lab=c(3,5,7), xlim=c(-3,4),ylim=c(-3.5,6.5),xlab="",ylab="")
title("mean 1, 0 & std dev 1, 1")

n1c <- rnorm(n_points,1,3)
n2c <- rnorm(n_points,0,3)
plot(rbind(x1,n1c),rbind(x2,n2c),pch=".",col=rep(c("black","red"),n_points),
     lab=c(3,5,7), xlim=c(-3,4),ylim=c(-3.5,6.5),xlab="",ylab="")
title("mean 1, 0 & std dev 3, 3")

n1d <- rnorm(n_points,0,0.3)
n2d <- rnorm(n_points,4,0.3)
plot(rbind(x1,n1d),rbind(x2,n2d),pch=".",col=rep(c("black","red"),n_points),
     lab=c(3,5,7), xlim=c(-3,4),ylim=c(-3.5,6.5),xlab="",ylab="")
title("mean 0, 4 & std dev 0.3, 0.3")

dev.off()
