source("istest.r")

n_points <- 2000

set.seed(11)
x1 <- rnorm(n_points,0,1)
x2 <- rnorm(n_points,x1^2-1,1)

cat("\nINITIAL DISTRIBUTION WITH MEAN 1, 0 AND STD DEV 3, 3:\n\n")

sizes <- c(0, 20, 100, 500)
seeds <- c(1, 2, 3)

postscript("istest1c.ps",pointsize=10,horizontal=FALSE,width=6,height=8.5)
par (mfrow=c(length(sizes),length(seeds)), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

for (M in sizes)
{ for (seed in seeds)
  { set.seed(seed)
    cat("\n\nDoing",M,"transitions, using",seed,"for seed:\n")
    r <- istest_met_is (n_points, M, mu=c(1,0), sd=3, proposal_sd=4)
    is_analysis(r$w,r$beta)
    plot(rbind(x1,r$beta[,1]),rbind(x2,r$beta[,2]),pch=".",
      col=rep(c("black","red"),n_points),
      xlim=c(-3,4),ylim=c(-3.5,6.5),xlab="",ylab="")
    title(paste(M,"transitions, seed",seed))
  }
}

dev.off()
