source("istest.r")

n_points <- 500

set.seed(11)
x1 <- rnorm(n_points,0,1)
x2 <- rnorm(n_points,x1^2-1,1)

postscript("istest2a.ps",pointsize=10,horizontal=FALSE,width=7.1,height=2.6)
par (mfrow=c(1,4), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

cat("\nINITIAL DISTRIBUTION WITH MEAN 1, 0 AND STD DEV 0.3, 0.3:\n\n")

seeds <- c(1, 2, 3, 4)
M <- 10

for (seed in seeds)
{ set.seed(seed)
  cat("\n\nDoing",M,"transitions, using",seed,"for seed:\n")
  r <- istest_met_is (n_points, M, mu=c(1,0), sd=0.3, proposal_sd=4)
  is_analysis(r$w,r$beta)
  plot(rbind(x1,r$beta[,1]),rbind(x2,r$beta[,2]),pch=".",lab=c(3,5,7),
    col=rep(c("black","red"),n_points),
    xlim=c(-3,4),ylim=c(-3.5,6.5),xlab="",ylab="")
  title(paste("mean (1,0), sd 0.3, seed",seed))
}

dev.off()

postscript("istest2b.ps",pointsize=10,horizontal=FALSE,width=7.1,height=2.6)
par (mfrow=c(1,4), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

cat("\nINITIAL DISTRIBUTION WITH MEAN 0, 4 AND STD DEV 0.3, 0.3:\n\n")

seeds <- c(1, 2, 3, 4)
M <- 10

for (seed in seeds)
{ set.seed(seed)
  cat("\n\nDoing",M,"transitions, using",seed,"for seed:\n")
  r <- istest_met_is (n_points, M, mu=c(0,4), sd=0.3, proposal_sd=4)
  is_analysis(r$w,r$beta)
  plot(rbind(x1,r$beta[,1]),rbind(x2,r$beta[,2]),pch=".",lab=c(3,5,7),
    col=rep(c("black","red"),n_points),
    xlim=c(-3,4),ylim=c(-3.5,6.5),xlab="",ylab="")
  title(paste("mean (0,4), sd 0.3, seed",seed))
}

dev.off()
