source("trunc_norm.r")

rho <- 0.95
lower <- c(-1,-1.5)
upper <- c(2.5,2)

postscript("norm3a.ps",pointsize=10,horizontal=FALSE,width=6,height=8.5)
par (mfrow=c(3,2), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

seed <- 1
n_chains <- 6
n_iters <- 250

s <- 0
cat("\nGibbs Sampling, Repeating s =",s,"\n")
set.seed(seed)
res.g1 <- vec_trunc_normal_gibbs ("p", n_chains, n_iters, s = matrix(s,n_iters,2))
bi_plot(res.g1)
title("Plot of x1 vs. x2",cex.main=1.5)
mtext("Gibbs Sampling, Repeating s = 0",side=2,padj=-3)
uni_plot(res.g1,1)
title("Trace plot of x1",cex.main=1.5)
print(estimates(res.g1))

s <- 0.017
cat("\nGibbs Sampling, Repeating s =",s,"\n")
set.seed(seed)
res.g3 <- vec_trunc_normal_gibbs ("p", n_chains, n_iters, s = matrix(s,n_iters,2))
bi_plot(res.g3)
mtext("Gibbs Sampling, Repeating 0.017",side=2,padj=-3)
uni_plot(res.g3,1)
print(estimates(res.g3))

s <- 0.211
cat("\nGibbs Sampling, Repeating s =",s,"\n")
set.seed(seed)
res.g3 <- vec_trunc_normal_gibbs ("p", n_chains, n_iters, s = matrix(s,n_iters,2))
bi_plot(res.g3)
mtext("Gibbs Sampling, Repeating 0.211",side=2,padj=-3)
uni_plot(res.g3,1)
print(estimates(res.g3))

dev.off()

postscript("norm3b.ps",pointsize=10,horizontal=FALSE,width=6,height=8.5)
par (mfrow=c(3,2), mar=c(3.3,3.9,2,1), mgp=c(1.9,0.7,0))

seed <- 1
n_chains <- 100
n_iters <- 1000

s <- 0.017
cat("\nGibbs Sampling, Repeating s =",s,"\n")
set.seed(seed)
res.g1 <- vec_trunc_normal_gibbs ("p", n_chains, n_iters, s = matrix(s,n_iters,2))
bi_plot(res.g1)
title("Plot of x1 vs. x2",cex.main=1.5)
mtext("Gibbs Sampling, Repeating s = 0.017",side=2,padj=-3)
uni_plot(res.g1,1)
title("Trace plot of x1",cex.main=1.5)
print(estimates(res.g1))

s <- 0
cat("\nGibbs Sampling, Repeating s =",s,"\n")
set.seed(seed)
res.g2 <- vec_trunc_normal_gibbs ("p", n_chains, n_iters, s = matrix(s,n_iters,2))
bi_plot(res.g2)
mtext("Gibbs Sampling, Repeating 0",side=2,padj=-3)
uni_plot(res.g2,1)
print(estimates(res.g2))

s <- 0.211
cat("\nGibbs Sampling, Repeating s =",s,"\n")
set.seed(seed)
res.g3 <- vec_trunc_normal_gibbs ("p", n_chains, n_iters, s = matrix(s,n_iters,2))
bi_plot(res.g3)
mtext("Gibbs Sampling, Repeating 0.211",side=2,padj=-3)
uni_plot(res.g3,1)
print(estimates(res.g3))

dev.off()
